local t = Def.ActorFrame { };
t[#t+1] = Def.Quad {
	InitCommand=cmd(diffuse,color("#000000");stretchto,SCREEN_LEFT,SCREEN_TOP,SCREEN_RIGHT,SCREEN_BOTTOM);
	StartCommand=cmd(diffusealpha,0;linear,0.5;diffusealpha,1);
	FinishCommand=cmd(sleep,1;linear,0.5;diffusealpha,0);
};
t[#t+1] = Def.Sprite {
	InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_CENTER_Y);
	StartCommand=function(self)
		self:LoadFromSongBackground( SCREENMAN:GetTopScreen():GetNextCourseSong() );
		self:scale_or_crop_background();
		local fX = self:GetZoomX();
		(cmd(diffusealpha,0;zoomx,fX*1.2;linear,0.5;diffusealpha,1;zoomx,fX))(self);
	end;
	FinishCommand=cmd(sleep,1;linear,0.5;diffusealpha,0);
};

return t;
